/********************************************************************************************
	Interfaz Patrimonio > Detalle Contratos Menores		2024/06/13
*********************************************************************************************/
main .main_container #menores .title h1 span.area {
	display: none;
}

main .main_container #menores .title h1 span a::after {
	margin-top: 0px;
}

main .main_container #menores .title h1 span a:hover::after {
	width: 6.3vw;
}

#menores .indicador	{
	position: absolute;
}

#menores #menores .menores .row.contenedor:last-child {
	margin-bottom: 8px;
}

#menores .row.filtros .selectores .filter-container:empty {
	width: 0;
}

#menores .selectores .filter-container {
	width: 200px;
}
#menores .selectores #filterDuracion {
	width: 120px;
}

#menores .selectores .filter-root-container.expanded .filter-root-body {
	width: 400px;
} 
#menores .selectores #filterArea .filter-root-container.expanded .filter-root-body,
#menores .selectores #filterUnidad .filter-root-container.expanded .filter-root-body {
	width: 560px;
}
#menores .selectores #filterArea .filter-root-container.expanded .filter-root-body {
	margin-left: -160px;
} 
#menores .detalle section {
	margin-bottom: 0.5vw;
}

#menores .indicador .medida[id^="fecha"] {
	text-align: right; 
	font-size: 70%;
}

#menores .grafica {
	height: 100%;
	background: transparent;
	border-color: transparent;
	box-shadow: unset;
}
/* tabla */
#menores #collapseTable.collapse.show .row.importe,
#menores #collapseTable.collapse.show .row.detalle .tipo-mensual {
	opacity: 0.9;
	filter: grayscale(60%);
}
#menores #collapseTable.collapse.show .row.detalle .col-md-5.tipo-mensual {
	margin-left: 58%;
}
#menores #collapseTable.collapse:not(.show) .row.importe,
#menores #collapseTable.collapse:not(.show) .row.detalle .tipo-mensual {
	opacity: 1;
} 
#menores #collapseTable.collapse.show .row.contenedor {
	height: auto;
	max-height: unset;
}
#menores #collapseTable.collapse.show .row.detalle .contratos {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
	background-color: #fafafa;
	border: 1px solid #ccc;
	padding: 5px;
	height: 100%;
	margin: 0 auto;
	overflow: hidden;
	filter: drop-shadow(8px 8px 10px gray);
}
#menores #collapseTable.collapse.show .row.detalle .contratos .datos {
	height: 100%;
}
#menores .tabla div[tabulator-field="objeto_contrato"] {
	font-family: 'Montserrat', 'Calibri', Arial, Helvetica, sans-serif;
	font-weight: 500;
}

#menores .tabla .tabulator-cell[tabulator-field="importe_sin_iva"] {
	text-align: right!important;
	padding-right: 1vw;
	padding-left: 0;
}

/********************************************************************************************
	max 992px
*********************************************************************************************/
@media only screen and (max-width: 992px){
	/* max 992px > Contratos menores
	****************************/
	#menores .row.filtros {
		height: 130px;
	}
	#menores .row.filtros .selectores .filter-container {
		float: left;
	}
	#menores .row.filtros .selectores #filterUnidad,
	#menores .row.filtros .selectores #filterArea {
		width: 300px;
		float: left;
	}
	#menores .selectores #filterArea .filter-root-container.expanded .filter-root-body {
		margin-left: -260px;
	} 
	#menores #collapseTable.collapse.show .row.detalle .contratos {
		max-height: calc(100vh - 45px);
		top: 45px;
		z-index: 99;
		position: fixed;
		width: 100vw;
		padding-left: 10px;
		padding-right: 10px;
	}
}
/********************************************************************************************
	+992px
*********************************************************************************************/
@media only screen and (min-width: 992px){	
	/* min 992px > Detalle Contratos menores
	******************************************/
	#menores .row.layout {
		margin-top: 30px;
	}
	
	#menores .selectores .filter-container {
		width: 180px;
	}
	#menores .selectores #filterFechaInicio {
		width: 200px;
	}
	#menores .selectores #filterArea .filter-root-container.expanded .filter-root-body,
	#menores .selectores #filterUnidad .filter-root-container.expanded .filter-root-body {
		margin-left: -360px;
	}
	#menores .datos h3	{
		font-size: 1.6rem;
	}
	
	#menores .row.contenedor section {
		height: 45vh;
	}
	
	#menores .title h1 span.area {
		display: none;
	}
	
	@media only screen and (min-width: 768px) and (max-width: 1359px) {
		#menores .col-md-7,
		#menores .col-md-6,
		#menores .col-md-5	{
			/*width: 100%;*/
		}
		
		/* desde 992px > Contratos menores
		****************************/
		#menores #collapseTable.collapse.show .row.detalle .contratos {
			max-height: calc(100vh - 45px);
			top: 45px;
			left: 50px;
			z-index: 99;
			position: fixed;
			width: calc(100vw - 50px);
			padding-left: 10px;
			padding-right: 10px;
		}
	}
}

/********************************************************************************************
	+1112px
*********************************************************************************************/
@media only screen and (min-width: 1112px) {	
	/* min 1112px > Contratos Menores
	***********************************/
	#menores .selectores .filter-container {
		width: 200px;
	}
	
}
/******************************************************************************************
	+1270px
*******************************************************************************************/
@media only screen and (min-width: 1270px) {
	/* min 1270px > Contratos Menores
	***********************************/
	@media only screen and (min-height: 850px) {
		#menores .row.contenedor section {
			height: 36vh;
		}
	}
	@media only screen and (min-height: 860px) {
		#menores .row.contenedor section {
			height: 36vh;
		}
	}
	@media only screen and (min-height: 870px) {
		#menores .row.contenedor section {
			height: 38vh;
		}
	}
	
	@media only screen and (min-height: 880px) {
		#menores .row.contenedor section {
			height: 36.8vh;
			height: 36vh;
		}
	}
	
	@media only screen and (min-height: 870px) {
		#menores .row.contenedor section {
			height: 36.8vh;
			height: 36vh;
		}
	}
	@media only screen and (min-height: 900px) {
		#menores .row.contenedor section {
			height: 32vh;
			height: 36.5vh;
		}
	}
	@media only screen and (min-height: 950px) {
		#menores .row.contenedor section {
			height: 37vh;
		}
	}
	@media only screen and (min-height: 1000px) {
		#menores .row.contenedor section {
			height: 38.5vh;
		}
	}
	@media only screen and (min-height: 1020px) {
		#menores .row.contenedor section {
			height: 39.4vh;
		}
	}
	@media only screen and (min-height: 1050px) {
		#menores .row.contenedor section {
			height: 38vh;
		}
	}
	@media only screen and (min-height: 1080px) {
		#menores .row.contenedor section {
			height: 38.5vh;
		}
	}
}

/********************************************************************************************
	+1360px (iPad Pro 12" horizontal)
*********************************************************************************************/
@media only screen and (min-width: 1360px) {
	/* min 1360px > Detalle Contratos Menores
	***********************************/
	#menores .row.layout {
		margin-top: 0px;
	}
	#menores .datos h3	{
		font-size: 1.5rem;
	}
	
	#menores section {
		margin: auto 0;
	}
	#menores #collapseTable.collapse.show .row.detalle .contratos {
		height: 82vh;
		margin-top: -102vh;
		z-index: 99;
		width: 76%;
	}
}
	
/**********************************************************************************************
	+1440px
***********************************************************************************************/
@media only screen and (min-width: 1440px) {
	/* min 1440px > Contratos Menores
	***********************************/	
	@media only screen and (max-width: 1599px) {
		
		/* menú desplegado */
		#main-content.collapse:not(.show) #menores .layout .titulo.tab {
			margin-top: 30px;
		}
		
		#main-content.collapse:not(.show) #menores .detalle .datos .funciones {
			/*
			margin-top: 2.5rem;
			*/
		}
		#main-content.collapse:not(.show) #menores #collapseTable.collapse.show .row.detalle .contratos {
			margin-top: -108vh;
			width: 100%;
		}
		/* menú colapsado */
		#menores #collapseTable.collapse.show .row.detalle .contratos {
			width: 60%;
		}
		
		#main-content.collapse.show #menores #collapseTable.collapse.show .row.detalle .contratos {
		  margin-top: -61vh;
		  width: 60%;
		}
	}
}

/**********************************************************************************************
	+1480px (1920px a 125%)
***********************************************************************************************/
@media only screen and (min-width: 1480px) and (max-width: 1550px) and (max-height: 870px) {
	
	@media only screen and (min-height: 700px) {
		/* min 1480px height > 700px (1920px a 125%) > Menores
		*******************************************/
		#main-content.collapse:not(.show) #menores #collapseTable.collapse.show .row.detalle .contratos {
			margin-top: -110vh;
		}
		#main-content.collapse.show #menores #collapseTable.collapse.show .row.detalle .contratos {
			margin-top: -62vh;
		}
		#menores #collapseTable.collapse.show .row.detalle .contratos .funciones {
			margin-top: 0;
		}
		
	}
	
	@media only screen and (min-height: 730px) {
	}
	
	@media only screen and (min-height: 850px) {
		/* min 1480px height > 850px (1920px a 125%) > Contratos Menores
		**************************************************/
		#main-content.collapse:not(.show) #menores #collapseTable.collapse.show .row.detalle .contratos {
			margin-top: -88vh;
		}
		#main-content.collapse:not(.show) #menores .detalle .datos .funciones {
			margin-top: 0;
		}
		
		#main-content.collapse.show #menores #collapseTable.collapse.show .row.detalle .contratos {
			width: 86%;
		}
		#main-content.collapse.show #menores .detalle .datos .funciones {
			margin-top: 0;
		}
		#main-content.collapse:not(.show) #menores .row.contenedor section {
			height: 37.3vh;
			margin: 0;
		}
		#main-content.collapse.show #menores .row.contenedor section {
			height: 38.5vh;
		}
	}
}

/********************************************************************************************
	+1600px
*********************************************************************************************/
@media only screen and (min-width: 1600px) {
	/* min 1600px > Contratos Menores
	***********************************/
	#main-content.collapse:not(.show) #menores #collapseTable.collapse.show .row.detalle .contratos {
		margin-top: -62vh;
	}
	#main-content.collapse.show #menores #collapseTable.collapse.show .row.detalle .contratos {
		width: 50%;
	}
	
	#main-content.collapse.show #menores #collapseTable.collapse.show .row.detalle .contratos {
	  width: 75%;
	}
	
	/* menú colapsado */
	#menores #collapseTable.collapse.show .row.detalle .contratos {
		width: 60%;
	}
	
	#main-content.collapse.show #menores #collapseTable.collapse.show .row.detalle .contratos {
	  margin-top: -61vh;
	  width: 60%;
	}
}

/********************************************************************************************
	+1920px (1870px)
*********************************************************************************************/
@media only screen and (min-width: 1870px){
	/* min 1920px > Contratos Menores
	***********************************/
	#menores .row.contenedor .tipo .indicador	{
		position: absolute;
	}
	
	#menores .row.contenedor.importe section {
		height: 44vh;
	}
	#menores .row.detalle {
		margin-top: 0;
		margin-bottom: 0;
		padding-top: 0;
		padding-bottom: 0;
	}
	#menores .detalle .funciones {
		z-index: 9999;
		position: relative;
	}
	
	#menores #collapseTable.collapse.show .row.detalle .contratos {
		height: 86vh;
		margin-top: -46vh;
	}
	#main-content.collapse:not(.show) #menores #collapseTable.collapse.show .row.detalle .contratos {
		margin-top: -46vh;
	}
	#main-content.collapse.show #menores #collapseTable.collapse.show .row.detalle .contratos {
		margin-top: -48vh;
	}
}